Skip to main content
GET
Retrieve a refund
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.

Authorizations

Authorization
string
header
required

The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'

Path Parameters

refundId
string<uuid>
required

The UUID of the refund.

Response

Refund details.

A refund returned by list, create, and retrieve operations.

id
string<uuid>
Example:

"7c2f3a91-2d4e-4a8b-9b1c-6f0a2e5d9c11"

reason
enum<string> | null
Available options:
DUPLICATE,
DASHBOARD_INITIATED,
FRAUDULENT,
REQUESTED_BY_CUSTOMER,
OTHER
Example:

"REQUESTED_BY_CUSTOMER"

amountUnits
integer<int64>
Example:

2500

amount
number<decimal>
Example:

25

internalNote
string | null
Example:

"Customer requested a partial refund."

failureReason
string | null
Example:

null

status
enum<string>
Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED,
CANCELED
Example:

"SUCCEEDED"

order
object

The complete serialized order associated with the refund.